> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create resident

POST https://api.propexo.com/v1/residents/
Content-Type: application/json

Create a resident for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/residents/create-resident

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_residents__post_input.

- `integration_id` (string, required)
- `lease_id` (string, optional) — The Propexo unique identifier for the lease
- `last_name` (string, optional) — The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object
- `first_name` (string, optional) — The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object
- `email_1` (string, optional) — The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object
- `email_2` (string, optional) — The secondary email address associated with the resident
- `date_of_birth` (string, optional) — The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.
- `address_1` (string, optional) — Street address for the resident. This maps to the Street property of the primary address of the Tenant object
- `address_2` (string, optional) — The second address line associated with the resident
- `city` (string, optional) — City of the resident's primary address
- `state` (string, optional) — State of the resident's primary address
- `zip` (string, optional) — Zip/Postal Code of the resident's primary address
- `country` (V1ResidentsPostInputCountry, optional) — The country associated with the resident
- `address_1_alternate` (string, optional) — Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
- `address_2_alternate` (string, optional) — Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object
- `city_alternate` (string, optional) — City of the resident's secondary/alternate address
- `state_alternate` (string, optional) — State of the resident's secondary/alternate address
- `zip_alternate` (string, optional) — Zip/Postal Code of the resident's secondary/alternate address
- `country_alternate` (enum, optional) — Country of the resident's secondary/alternate address.
  - Allowed values: `US`
- `notes` (string, optional) — Notes about the resident
- `phone_1` (string, optional) — Primary phone number associated with the resident
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the resident
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `middle_name` (string, optional) — The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `rent_period` (enum, optional) — How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
  - Allowed values: `MONTHLY`, `WEEKLY`, `DAILY`
- `rent_due_day` (integer, optional) — Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
- `attachments` (list of V1ResidentsPostInputAttachmentsItems, optional) — Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB
- `custom_data` (V1ResidentsPostInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1ResidentsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentsPostInputCountry

The country associated with the resident

### V1ResidentsPostInputAttachmentsItems

- `file_type_id` (string, required) — The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
- `file_data` (string, required) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
- `file_name` (string, required) — The name of the file including the extension. Ex: "resume.pdf"
- `mime_type` (string, required) — The mime type of the file. Ex: "application/pdf"
- `file_type` (enum, optional, default: Document) — The type of file being uploaded. This defaults to "Document"
  - Allowed values: `Document`

### V1ResidentsPostInputCustomData

Deprecated: Field is no longer applicable

### V1ResidentsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/residents/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/residents/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```